OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIS.FogFunction

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISFogFunction :: MonadIO m => m Bool
- gl_SGIS_fog_function :: Bool
- pattern GL_FOG_FUNC_POINTS_SGIS :: GLenum
- pattern GL_FOG_FUNC_SGIS :: GLenum
- pattern GL_MAX_FOG_FUNC_POINTS_SGIS :: GLenum
- glFogFuncSGIS :: MonadIO m => GLsizei -> Ptr GLfloat -> m ()
- glGetFogFuncSGIS :: MonadIO m => Ptr GLfloat -> m ()

# Extension Support

glGetSGISFogFunction :: MonadIO m => m Bool Source #

Is the SGIS_fog_function extension supported?

gl_SGIS_fog_function :: Bool Source #

Is the SGIS_fog_function extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISFogFunction` in those cases instead.

# Enums

pattern GL_FOG_FUNC_POINTS_SGIS :: GLenum Source #

pattern GL_FOG_FUNC_SGIS :: GLenum Source #

pattern GL_MAX_FOG_FUNC_POINTS_SGIS :: GLenum Source #

# Functions

glFogFuncSGIS Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLfloat | `points` pointing to `n*2` elements of type `GLfloat`.
-> m () |

glGetFogFuncSGIS Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `points` pointing to `COMPSIZE()` elements of type `GLfloat`.
-> m () |